My mobile device is not compatible since I upgraded it to Android 5, what can I do?